# Collaboration Cursor

:::premium Premium Extension
Using this in production requires a **tiptap pro** license. [Read more](/sponsor)
:::

## Installation
```bash
# with npm
npm install @tiptap/extension-collaboration-cursor

# with Yarn
yarn add @tiptap/extension-collaboration-cursor
```

## Settings
| Option   | Type | Default | Description |
| -------- | ---- | ------- | ----------- |
| provider |      |         |             |
| type     |      |         |             |

## Commands
| Command | Parameters    | Description                                                              |
| ------- | ------------- | ------------------------------------------------------------------------ |
| user    | name<br>color | The name of the current user.<br>The color of the current user’s cursor. |

## Source code
[packages/extension-collaboration-cursor/](https://github.com/ueberdosis/tiptap-next/blob/main/packages/extension-collaboration-cursor/)

## Usage
:::warning Public
The content of this editor is shared with other users.
:::
<demo name="Extensions/CollaborationCursor" highlight="" />
